﻿using System;
using System.Collections.Generic;
using System.Text;
using com.upay.utils;
using com.upay.upayException;
using com.upay.Entity;
using com.upay;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using System.IO;

namespace com.upay.Declaration
{
    public class SubMerchantQueryBack : ResponseObject
    {
        public SubMerchantQueryBack()
        {
        }

        public SubMerchantQueryBack(string responsestr)
            : base(responsestr)
        {
            SubMerchantQueryBack back = JsonConvert.DeserializeObject<SubMerchantQueryBack>(responsestr);
        

          

            MerchantId = back.MerchantId;
            SubMerchantId = back.SubMerchantId;
            SubMerchantReviewStatus = back.SubMerchantReviewStatus;
            SubMerchantReviewRemark = back.SubMerchantReviewRemark;
            Status = back.Status;
            Hmac = back.Hmac;
        }

        /// <summary>
        /// 商家ID
        /// </summary>
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        /// <summary>
        /// 二级商户编号 
        /// </summary>
        [JsonProperty(PropertyName = "subMerchantId")]
        public string SubMerchantId { get; set; }

        /// <summary>
        /// 二级商户审核状态
        /// </summary>
        [JsonProperty(PropertyName = "subMerchantReviewStatus")]
        public string SubMerchantReviewStatus { get; set; }

        /// <summary>
        /// 二级商户审核备注信息
        /// </summary>
        [JsonProperty(PropertyName = "subMerchantReviewRemark")]
        public string SubMerchantReviewRemark { get; set; }

       

      
    }
}
