﻿using System.Text;
using com.upay.utils;
using Newtonsoft.Json;

namespace com.upay.Declaration
{
    public class Withdraw : RequestObject
    {
        
        /// <summary>
        /// 二级商户编号
        /// </summary>
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        /// <summary>
        /// 服务商编号 
        /// </summary>
        [JsonProperty(PropertyName = "partnerId")]
        public string PartnerId { get; set; }

        /// <summary>
        /// 提现金额
        /// </summary>
        [JsonProperty(PropertyName = "withdrawAmount")]
        public string WithdrawAmount { get; set; }

        /// <summary>
        /// 通知地址 
        /// </summary>
        [JsonProperty(PropertyName = "notifyUrl")]
        public string NotifyUrl { get; set; }

       
        /// <summary>
        /// 签名
        /// </summary>
        [JsonProperty(PropertyName = "hmac")]
        public string Hmac{ get; set; }
       
    }
}
